# Notify File Reference

`#include <osg/Export>`
`#include <ostream>`

Include dependency graph for Notify:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | osg

## Defines

#define | OSG_NOTIFY 1

## Enumerations

enum | NotifySeverity { ALWAYS = 0, FATAL = 1, WARN = 2, NOTICE = 3, INFO = 4, DEBUG_INFO = 5, DEBUG_FP = 6 }
| Range of notify levels from DEBUG_FP through to FATAL, ALWAYS is reserved for forcing the absorption of all messages. More...

## Functions

SG_EXPORT void | setNotifyLevel (NotifySeverity severity)
| set the notify level, overriding the default or the value set by the environmental variable OSGNOTIFYLEVEL.
SG_EXPORT NotifySeverity | getNotifyLevel ()
| get the notify level.
SG_EXPORT bool | initNotifyLevel ()
| initialize notify level.
SG_EXPORT std::ostream & | notify (const NotifySeverity severity)
| notify messaging function for providing fatal through to verbose debugging messages.
std::ostream & | notify (void)

## Define Documentation

#define OSG_NOTIFY 1

## Enumeration Type Documentation

enum osg::NotifySeverity

Range of notify levels from DEBUG_FP through to FATAL, ALWAYS is reserved for forcing the absorption of all messages.

The keywords are also used verbatim when specified by the environmental variable OSGNOTIFYLEVEL. See documentation on osg::notify() for further details.

Enumeration values:

  ALWAYS |
  FATAL |
  WARN |
  NOTICE |
  INFO |
  DEBUG_INFO |
  DEBUG_FP |

## Function Documentation

osg::NotifySeverity osg::getNotifyLevel | ( |  | ) |

| get the notify level.

bool osg::initNotifyLevel | ( |  | ) |

| initialize notify level.

std::ostream& notify | ( | void |  | ) | `[inline]`

std::ostream & osg::notify | ( | const NotifySeverity | severity | ) |

notify messaging function for providing fatal through to verbose debugging messages.

Level of messages sent to the console can be controlled by setting the NotifyLevel either within your application or via the an environmental variable. For instance setenv OSGNOTIFYLEVEL DEBUG (for tsh), export OSGNOTIFYLEVEL=DEBUG (for bourne shell) or set OSGNOTIFYLEVEL=DEBUG (for Windows) all tell the osg to redirect all debugging and more important messages to the console (useful for debugging :-) setting ALWAYS will force all messages to be absorbed, which might be appropriate for final applications. Default NotifyLevel is NOTICE. Check the enum NotifySeverity for full range of possibilities. To use the notify with your code simply use the notify function as a normal file stream (like cout) i.e osg::notify(osg::DEBUG) << "Hello Bugs!"<<endl;

void osg::setNotifyLevel | ( | NotifySeverity | severity | ) |

| set the notify level, overriding the default or the value set by the environmental variable OSGNOTIFYLEVEL.